Description
===========

The Java Object Access Library (OAL) provides a general API developers can use to write software that implements OpenDOF protocols.


----------


Build Instructions
==================

This project uses Apache Ant and Apache Ivy to build and resolve dependencies. In addition, a Java Development Kit (JDK) of 1.7 or greater is required.

To build, make sure any dependencies are available in a configured Ivy repository, and execute ant dist in the root of the project (this is the default ant target). To publish the build to your local ivy repository (and make it available for other builds to depend on), execute ant publish.

If you plan to make a complete distribution including source, you will also need to use the dist-src and publish-src targets. Typically, these would be executed prior to the binary build (dist and publish targets), since they require a clean directory.


Build Instructions
==================

A Java Runtime Environment (JRE) of 1.7 or greater is required. The Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files must be properly installed to support 256-bit AES encryption. This is usually specific to the version of the JRE you are using, and available from your JRE provider.

The security policy file, java.security, is used to configure the random number generator. It is important to note which securerandom.source is used in order to make sure you are using one that is as cryptographically secure as possible.



How to Report an Issue
======================

Issues can be reported through the issue tracking system of the OpenDOF
Project at [https://issue.opendof.org](https://issue.opendof.org)

Information on the process for reporting an issue can be found at
[https://opendof.org/report-an-issue](https://opendof.org/report-an-issue).